<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>U-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: U">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)" class="member-name-link">updatePassword(User, String)</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Update password.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#updatePassword(com.eoi.springwebsecurity.coreapp.entities.User,java.lang.String)" class="member-name-link">updatePassword(User, String)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#updateResetPasswordToken(java.lang.String,java.lang.String)" class="member-name-link">updateResetPasswordToken(String, String)</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Update reset password token.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#updateResetPasswordToken(java.lang.String,java.lang.String)" class="member-name-link">updateResetPasswordToken(String, String)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html#uploadFile(org.springframework.web.multipart.MultipartFile)" class="member-name-link">uploadFile(MultipartFile)</a> - Method in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">DatabaseFileUploadController</a></dt>
<dd>
<div class="block">Upload file response entity.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#uploadFile(org.springframework.web.multipart.MultipartFile,org.springframework.web.servlet.mvc.support.RedirectAttributes,org.springframework.security.core.Authentication)" class="member-name-link">uploadFile(MultipartFile, RedirectAttributes, Authentication)</a> - Method in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Método que recibe una solicitud POST para cargar un archivo a la base de datos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html#url" class="member-name-link">url</a> - Variable in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a> - Class in <a href="../com/eoi/springwebsecurity/coreapp/entities/package-summary.html">com.eoi.springwebsecurity.coreapp.entities</a></dt>
<dd>
<div class="block">The type User.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#%3Cinit%3E()" class="member-name-link">User()</a> - Constructor for class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html#userDetailsService" class="member-name-link">userDetailsService</a> - Variable in class com.eoi.springwebsecurity.security.config.<a href="../com/eoi/springwebsecurity/security/config/SecurityConfig.html" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a></dt>
<dd>
<div class="block">The User details service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a> - Class in <a href="../com/eoi/springwebsecurity/security/service/package-summary.html">com.eoi.springwebsecurity.security.service</a></dt>
<dd>
<div class="block">Esta clase es una implementación personalizada de UserDetailsService para manejar
 la autenticación de usuarios en la aplicación.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html#%3Cinit%3E(com.eoi.springwebsecurity.coreapp.repositories.UserRepository)" class="member-name-link">UserDetailsServiceImpl(UserRepository)</a> - Constructor for class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a></dt>
<dd>
<div class="block">Constructor de la clase UserDetailsServiceImpl que inicializa el UserRepository.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a> - Class in <a href="../com/eoi/springwebsecurity/coreapp/dto/package-summary.html">com.eoi.springwebsecurity.coreapp.dto</a></dt>
<dd>
<div class="block">The type User dto.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html#%3Cinit%3E()" class="member-name-link">UserDto()</a> - Constructor for class com.eoi.springwebsecurity.coreapp.dto.<a href="../com/eoi/springwebsecurity/coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#username" class="member-name-link">username</a> - Variable in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html#userRepository" class="member-name-link">userRepository</a> - Variable in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#userRepository" class="member-name-link">userRepository</a> - Variable in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a> - Interface in <a href="../com/eoi/springwebsecurity/coreapp/repositories/package-summary.html">com.eoi.springwebsecurity.coreapp.repositories</a></dt>
<dd>
<div class="block">The interface User repository.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/Role.html#users" class="member-name-link">users</a> - Variable in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/Role.html" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#users(org.springframework.ui.Model)" class="member-name-link">users(Model)</a> - Method in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>
<div class="block">Users string.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html#userService" class="member-name-link">userService</a> - Variable in class com.eoi.springwebsecurity.coreapp.controllers.<a href="../com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#userService" class="member-name-link">userService</a> - Variable in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Servicio de usuario utilizado por el controlador.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html#userService" class="member-name-link">userService</a> - Variable in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/controllers/RegisterController.html#userService" class="member-name-link">userService</a> - Variable in class com.eoi.springwebsecurity.security.controllers.<a href="../com/eoi/springwebsecurity/security/controllers/RegisterController.html" title="class in com.eoi.springwebsecurity.security.controllers">RegisterController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.security.service">UserService</a> - Interface in <a href="../com/eoi/springwebsecurity/security/service/package-summary.html">com.eoi.springwebsecurity.security.service</a></dt>
<dd>
<div class="block">The interface User service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a> - Class in <a href="../com/eoi/springwebsecurity/security/service/package-summary.html">com.eoi.springwebsecurity.security.service</a></dt>
<dd>
<div class="block">The type User service.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#%3Cinit%3E(com.eoi.springwebsecurity.coreapp.repositories.UserRepository,com.eoi.springwebsecurity.coreapp.repositories.RoleRepository,org.springframework.security.crypto.password.PasswordEncoder)" class="member-name-link">UserServiceImpl(UserRepository, RoleRepository, PasswordEncoder)</a> - Constructor for class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Instantiates a new User service.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
